org.scalatest.FlatSpec

# IgnoreVerbString

#### class IgnoreVerbString extends AnyRef

Class that supports registration of ignored tests via the `IgnoreWord` instance referenced from `FlatSpec`'s `ignore` field.

This class enables syntax such as the following registration of an ignored test:

    ignore should "pop values in last-in-first-out order" in { ... }
                                                          ^

In addition, it enables syntax such as the following registration of an ignored, pending test:

    ignore should "pop values in last-in-first-out order" is (pending)
                                                          ^

Note: the `is` method is provided for completeness and design symmetry, given there's no way to prevent changing `is` to `ignore` and marking a pending test as ignored that way. Although it isn't clear why someone would want to mark a pending test as ignored, it can be done.

And finally, it also enables syntax such as the following ignored, tagged test registration:

    ignore should "pop values in last-in-first-out order" taggedAs(SlowTest) in { ... }
                                                          ^

For more information and examples of the use of the `ignore` field, see the Ignored tests section in the main documentation for trait `FlatSpec`.

Attributes
  protected final

Linear Supertypes
AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. Hide All
2. Show all

1. IgnoreVerbString
2. AnyRef
3. Any

Visibility

1. Public
2. All

### Instance Constructors

1. #### new IgnoreVerbString (verb: String, name: String)

### Value Members

1. #### def != (arg0: AnyRef): Boolean

   Attributes
     final
   Definition Classes
     AnyRef

2. #### def != (arg0: Any): Boolean

   Attributes
     final
   Definition Classes
     Any

3. #### def ## (): Int

   Attributes
     final
   Definition Classes
     AnyRef → Any

4. #### def == (arg0: AnyRef): Boolean

   Attributes
     final
   Definition Classes
     AnyRef

5. #### def == (arg0: Any): Boolean

   Attributes
     final
   Definition Classes
     Any

6. #### def asInstanceOf [T0] : T0

   Attributes
     final
   Definition Classes
     Any

7. #### def clone (): AnyRef

   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws()

8. #### def eq (arg0: AnyRef): Boolean

   Attributes
     final
   Definition Classes
     AnyRef

9. #### def equals (arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

10. #### def finalize (): Unit

    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws()

11. #### def getClass (): java.lang.Class[_]

    Attributes
      final
    Definition Classes
      AnyRef

12. #### def hashCode (): Int

    Definition Classes
      AnyRef → Any

13. #### def in (testFun: ⇒ Unit): Unit

    Supports the registration of ignored tests in a `FlatSpec`.

    Supports the registration of ignored tests in a `FlatSpec`.

    This method supports syntax such as the following:

        ignore must "pop values in last-in-first-out order" in { ... }
                                                            ^

    For examples of the registration of ignored tests, see the Ignored tests section in the main documentation for trait `FlatSpec`.

14. #### def is (testFun: ⇒ PendingNothing): Unit

    Supports the registration of ignored, pending tests in a `FlatSpec`.

    Supports the registration of ignored, pending tests in a `FlatSpec`.

    This method supports syntax such as the following:

        ignore must "pop values in last-in-first-out order" is (pending)
                                                            ^

    Note: this `is` method is provided for completeness and design symmetry, given there's no way to prevent changing `is` to `ignore` and marking a pending test as ignored that way. Although it isn't clear why someone would want to mark a pending test as ignored, it can be done.

    For examples of pending test registration, see the Pending tests section in the main documentation for trait `FlatSpec`. For examples of the registration of ignored tests, see the Ignored tests section in the main documentation for trait `FlatSpec`.

15. #### def isInstanceOf [T0] : Boolean

    Attributes
      final
    Definition Classes
      Any

16. #### def ne (arg0: AnyRef): Boolean

    Attributes
      final
    Definition Classes
      AnyRef

17. #### def notify (): Unit

    Attributes
      final
    Definition Classes
      AnyRef

18. #### def notifyAll (): Unit

    Attributes
      final
    Definition Classes
      AnyRef

19. #### def synchronized [T0] (arg0: ⇒ T0): T0

    Attributes
      final
    Definition Classes
      AnyRef

20. #### def taggedAs (firstTestTag: Tag, otherTestTags: Tag*): IgnoreVerbStringTaggedAs

    Supports the registration of ignored, tagged tests in a `FlatSpec`.

    Supports the registration of ignored, tagged tests in a `FlatSpec`.

    This method supports syntax such as the following:

        ignore must "pop values in last-in-first-out order" taggedAs(SlowTest) in { ... }
                                                            ^

    For examples of tagged test registration, see the Tagging tests section in the main documentation for trait `FlatSpec`. For examples of the registration of ignored tests, see the Ignored tests section in the main documentation for trait `FlatSpec`.

21. #### def toString (): String

    Definition Classes
      AnyRef → Any

22. #### def wait (): Unit

    Attributes
      final
    Definition Classes
      AnyRef
    Annotations
      @throws()

23. #### def wait (arg0: Long, arg1: Int): Unit

    Attributes
      final
    Definition Classes
      AnyRef
    Annotations
      @throws()

24. #### def wait (arg0: Long): Unit

    Attributes
      final
    Definition Classes
      AnyRef
    Annotations
      @throws()

### Inherited from AnyRef

### Inherited from Any